* [gentoo-commits] gentoo-x86 commit in dev-lang/rust-bin: rust-bin-999.ebuild
@ 2014-11-30 12:46 Jauhien Piatlicki (jauhien)
0 siblings, 0 replies; only message in thread
From: Jauhien Piatlicki (jauhien) @ 2014-11-30 12:46 UTC (permalink / raw
To: gentoo-commits
jauhien 14/11/30 12:46:22
Modified: rust-bin-999.ebuild
Log:
support for rust-lldb symlink
(Portage version: 2.2.14/cvs/Linux x86_64, signed Manifest commit with key 0xB2EFA1D4)
Revision Changes Path
1.2 dev-lang/rust-bin/rust-bin-999.ebuild
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/rust-bin/rust-bin-999.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/rust-bin/rust-bin-999.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/rust-bin/rust-bin-999.ebuild?r1=1.1&r2=1.2
Index: rust-bin-999.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-lang/rust-bin/rust-bin-999.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- rust-bin-999.ebuild 18 Oct 2014 12:50:48 -0000 1.1
+++ rust-bin-999.ebuild 30 Nov 2014 12:46:22 -0000 1.2
@@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lang/rust-bin/rust-bin-999.ebuild,v 1.1 2014/10/18 12:50:48 jauhien Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/rust-bin/rust-bin-999.ebuild,v 1.2 2014/11/30 12:46:22 jauhien Exp $
EAPI="5"
@@ -16,7 +16,7 @@
IUSE="emacs vim-syntax zsh-completion"
-CDEPEND=">=app-admin/eselect-rust-0.2_pre20141011
+CDEPEND=">=app-admin/eselect-rust-0.2_pre20141128
!dev-lang/rust:0
"
DEPEND="${CDEPEND}
@@ -51,11 +51,15 @@
local rustc=rustc-bin-${PV}
local rustdoc=rustdoc-bin-${PV}
+ local rustlldb=rust-lldb-bin-${PV}
mv "${D}/opt/${P}/bin/rustc" "${D}/opt/${P}/bin/${rustc}" || die
mv "${D}/opt/${P}/bin/rustdoc" "${D}/opt/${P}/bin/${rustdoc}" || die
+ mv "${D}/opt/${P}/bin/rust-lldb" "${D}/opt/${P}/bin/${rustlldb}" || die
+
dosym "/opt/${P}/bin/${rustc}" "/usr/bin/${rustc}"
dosym "/opt/${P}/bin/${rustdoc}" "/usr/bin/${rustdoc}"
+ dosym "/opt/${P}/bin/${rustlldb}" "/usr/bin/${rustlldb}"
cat <<-EOF > "${T}"/50${P}
LDPATH="/opt/${P}/lib"
@@ -74,6 +78,11 @@
elog "and 'eselect rust set' to list and set rust version."
elog "For more information see 'eselect rust help'"
elog "and http://wiki.gentoo.org/wiki/Project:Eselect/User_guide"
+
+ elog "Rust installs a helper script for calling LLDB now,"
+ elog "for your convenience it is installed under /usr/bin/rust-lldb-bin-${PV},"
+ elog "but note, that there is no LLDB ebuild in the tree currently,"
+ elog "so you are on your own if you want to use it."
}
pkg_postrm() {
^ permalink raw reply [flat|nested] only message in thread
only message in thread, other threads:[~2014-11-30 12:46 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2014-11-30 12:46 [gentoo-commits] gentoo-x86 commit in dev-lang/rust-bin: rust-bin-999.ebuild Jauhien Piatlicki (jauhien)
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox